GDB (xrefs)

Public Member Functions | Private Attributes | List of all members
regcache_invalidator Class Reference

## Public Member Functions
| regcache_invalidator (struct regcache *regcache, int regnum)
| ~regcache_invalidator ()
| DISABLE_COPY_AND_ASSIGN (regcache_invalidator)
void | release ()

## Private Attributes
struct regcache * | m_regcache
int | m_regnum

## Detailed Description

Definition at line 238 of file regcache.c.

## Constructor & Destructor Documentation

## ◆ regcache_invalidator()

regcache_invalidator::regcache_invalidator | ( | struct regcache * | regcache,
|  | int | regnum
| ) |  |
| inline

Definition at line 242 of file regcache.c.

## ◆ ~regcache_invalidator()

regcache_invalidator::~regcache_invalidator | ( |  | ) |
| inline

Definition at line 248 of file regcache.c.

References m_regcache, m_regnum, and regcache_invalidate().

## Member Function Documentation

## ◆ DISABLE_COPY_AND_ASSIGN()

regcache_invalidator::DISABLE_COPY_AND_ASSIGN | ( | regcache_invalidator |  | ) |

## ◆ release()

void regcache_invalidator::release | ( |  | ) |
| inline

Definition at line 256 of file regcache.c.

References m_regcache.

Referenced by regcache::raw_write().

## Member Data Documentation

## ◆ m_regcache

struct regcache* regcache_invalidator::m_regcache
| private

Definition at line 263 of file regcache.c.

Referenced by release(), and ~regcache_invalidator().

## ◆ m_regnum

int regcache_invalidator::m_regnum
| private

Definition at line 264 of file regcache.c.

Referenced by ~regcache_invalidator().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/regcache.c